Package wx :: Class Pen

[frames | no frames]

## Type Pen

    object --+
             |
        Object --+
                 |
         GDIObject --+
                     |
                    Pen

Proxy of C++ Pen class

Method Summary
Pen | `__init__(self, colour, width, style)`
| `__del__(self)`
bool | `__eq__(self, other)`
bool | `__ne__(self, other)`
| `__nonzero__(self)`
int | `GetCap(self)`
Colour | `GetColour(self)`
int | `GetDashCount(self)`
PyObject | `GetDashes(self)`
int | `GetJoin(self)`
int | `GetStyle(self)`
int | `GetWidth(self)`
bool | `IsOk(self)`
bool | `Ok(self)`
| `SetCap(self, cap_style)`
| `SetColour(self, colour)`
| ``SetDashes`(self, dashes)` Associate a list of dash lengths with the Pen.
| `SetJoin(self, join_style)`
| `SetStyle(self, style)`
| `SetWidth(self, width)`

Property Summary
| `Cap`: See `GetCap` and `SetCap`
| `Colour`: See `GetColour` and `SetColour`
| `DashCount`: See `GetDashCount`
| `Dashes`: See `GetDashes` and `SetDashes`
| `Join`: See `GetJoin` and `SetJoin`
| `Style`: See `GetStyle` and `SetStyle`
| `thisown`: The membership flag
| `Width`: See `GetWidth` and `SetWidth`

Method Details

### SetDashes(self, dashes)

Associate a list of dash lengths with the Pen.

Property Details

### Cap

See `GetCap` and `SetCap`

  Get Method:
    `GetCap`(self)
  Set Method:
    `SetCap`(self, cap_style)

### Colour

See `GetColour` and `SetColour`

  Get Method:
    `GetColour`(self)
  Set Method:
    `SetColour`(self, colour)

### DashCount

See `GetDashCount`

  Get Method:
    `GetDashCount`(self)

### Dashes

See `GetDashes` and `SetDashes`

  Get Method:
    `GetDashes`(self)
  Set Method:
    `SetDashes`(self, dashes)

### Join

See `GetJoin` and `SetJoin`

  Get Method:
    `GetJoin`(self)
  Set Method:
    `SetJoin`(self, join_style)

### Style

See `GetStyle` and `SetStyle`

  Get Method:
    `GetStyle`(self)
  Set Method:
    `SetStyle`(self, style)

### thisown

The membership flag

### Width

See `GetWidth` and `SetWidth`

  Get Method:
    `GetWidth`(self)
  Set Method:
    `SetWidth`(self, width)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:17 2007 | http://epydoc.sf.net